#include <stdio.h>

int main(){
    char N[31];
    int B, val, i=0;
    long int res=0;

    scanf("%s %d",N, &B);

    while(N[i]!='\0'){
        if(N[i]>='0' && N[i]<='9'){
            val = N[i] - '0';
        }
        else if(N[i]>='A' && N[i]<='Z'){
            val = N[i] - 'A' + 10;
        }

        res = res*B+val;
        i++;
    }

    printf("%ld", res);

    return 0;
}